Update a device by id
curl --request PATCH \
--url https://managexrapi.com/v1/devices/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Device_123",
"configurationId": "AKDJF139UGNLA12J",
"notes": "This device was recently moved on 9/15",
"tagIds": [
"KADJFL2U4T",
"AKLU32OI2QU5U"
]
}
'import requests
url = "https://managexrapi.com/v1/devices/{id}"
payload = {
"name": "Device_123",
"configurationId": "AKDJF139UGNLA12J",
"notes": "This device was recently moved on 9/15",
"tagIds": ["KADJFL2U4T", "AKLU32OI2QU5U"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Device_123',
configurationId: 'AKDJF139UGNLA12J',
notes: 'This device was recently moved on 9/15',
tagIds: ['KADJFL2U4T', 'AKLU32OI2QU5U']
})
};
fetch('https://managexrapi.com/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "Not found error",
"error": "ManageXR Error"
}Devices
Edit Device
Update device metadata or apply a new configuration
PATCH
/
v1
/
devices
/
{id}
Update a device by id
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
Unique identifier (serial number) of the device
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
application/json
Name of the device
Example:
"Device_123"
ID of new configuration to assign to the device
Example:
"AKDJF139UGNLA12J"
Device notes
Example:
"This device was recently moved on 9/15"
Ids of tags to apply to device
Example:
["KADJFL2U4T", "AKLU32OI2QU5U"]Response
Success
⌘I